scala.collection.mutable

# UnrolledBuffer

#### object UnrolledBuffer extends ClassTagTraversableFactory[UnrolledBuffer] with Serializable

Source
  UnrolledBuffer.scala

Linear Supertypes
Serializable, java.io.Serializable, ClassTagTraversableFactory[UnrolledBuffer], GenericClassTagCompanion[UnrolledBuffer], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. UnrolledBuffer
2. Serializable
3. Serializable
4. ClassTagTraversableFactory
5. GenericClassTagCompanion
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type Coll = UnrolledBuffer[_]

   Attributes
     protected[this]
   Definition Classes
     GenericClassTagCompanion

2. #### class GenericCanBuildFrom[A] extends CanBuildFrom[CC[_], A, CC[A]]

   Definition Classes
     ClassTagTraversableFactory

3. #### class Unrolled[T] extends AnyRef

   Unrolled buffer node.

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply[A](elems: A*)(implicit ord: ClassTag[A]): UnrolledBuffer[A]

   Definition Classes
     GenericClassTagCompanion

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### implicit def canBuildFrom[T](implicit t: ClassTag[T]): CanBuildFrom[Coll, T, UnrolledBuffer[T]]

   The standard `CanBuildFrom` instance for `Traversable` objects.

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def empty[A](implicit arg0: ClassTag[A]): UnrolledBuffer[A]

   Definition Classes
     GenericClassTagCompanion

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def newBuilder[T](implicit t: ClassTag[T]): Builder[T, UnrolledBuffer[T]]

    Definition Classes
      UnrolledBuffer → GenericClassTagCompanion

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### val waterline: Int

25. #### val waterlineDelim: Int

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from ClassTagTraversableFactory[UnrolledBuffer]

### Inherited from GenericClassTagCompanion[UnrolledBuffer]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped